package com.wily.profserv.logreader;


/**
 * @author Sylvain Gibassier
 * @copyright 2004-2005 Wily Technology, Inc.  All rights reserved.
 */

public interface LineProcessor {
    /**
     * Is called by the log reader everytime there is a new line to process
     * @param line
     */
    public void process(String line);
    
    
    /**
     * Is called by the log reader on the regular basis
     * Should be used to clear fault status in the LineProcessor
     * This method might be called fairly frequently so it might
     * be wise to put in there some kind of optimization that
     * prevents it from writing the metric status to the printstream
     * everytime it is called (see SimpleMatcher.tick() for an example)
     */
    public void tick();
}
