package com.wily.profserv.logreader;

import java.io.PrintStream;
import java.util.Enumeration;
import java.util.Properties;

/**
 * @author Sylvain Gibassier
 * @copyright 2004-2005 Wily Technology, Inc.  All rights reserved.
 */

public class SimpleMatcherLineProcessor implements LineProcessor {
    private final SimpleMatcher[] simpleMatchers;
 
    public SimpleMatcherLineProcessor(PrintStream ps,Properties properties) {
        simpleMatchers = new SimpleMatcher[properties.size()];
        int i = 0;
        for (Enumeration enum = properties.propertyNames(); enum.hasMoreElements();) {
            String metricName = (String) enum.nextElement();
            String nameToMatch = properties.getProperty(metricName);
            simpleMatchers[i] = new SimpleMatcher(metricName,nameToMatch,ps);
            i++;
        }
    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.LineProcessor#process(java.lang.String)
     */
    public void process(String line) {
        for (int i = 0; i < simpleMatchers.length; i++) {
            simpleMatchers[i].checkMatch(line);
        }
    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.LineProcessor#tick()
     */
    public void tick() {
        for (int i = 0; i < simpleMatchers.length; i++) {
            simpleMatchers[i].tick();
        }
    }

}
