package com.wily.profserv.logreader;

/**
 * @author Sylvain Gibassier
 * @copyright 2004-2005 Wily Technology, Inc.  All rights reserved.
 */

public class SystemOutLogger implements Logger {

    final private String agentName;
    
    public SystemOutLogger(String an) {
        agentName = an;
    }
    
    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.Logger#logInfo(java.lang.String)
     */
    public void info(String message) {
        System.out.println("[INFO] " + agentName + " " + message);

    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.Logger#logWarning(java.lang.String)
     */
    public void warn(String message) {
        System.out.println("[WARN] " + agentName + " " + message);

    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.Logger#logWarning(java.lang.String, java.lang.Throwable)
     */
    public void warn(String message, Throwable t) {
        System.out.println("[WARN] " + agentName + " " + message);
        t.printStackTrace(System.out);
    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.Logger#logError(java.lang.String)
     */
    public void error(String message) {
        System.out.println("[ERROR] " + agentName + " " + message);
    }

    /* (non-Javadoc)
     * @see com.wily.profserv.logreader.Logger#logError(java.lang.String, java.lang.Throwable)
     */
    public void error(String message, Throwable t) {
        System.out.println("[ERROR] " + agentName + " " + message);
        t.printStackTrace(System.out);
    }

}
